<template>
  <div class="location-item">
    <div class="location-item-name">
      {{ location.name }}
    </div>
    <div class="location-item-address">
      {{ getAddress }}
    </div>
  </div>
</template>

<script>
export default {
  name: 'LocationItems',
  props: {
    location: Object
  },
  computed: {
    getAddress () {
      return `${this.location.address.address_line_1}, ${this.location.address.locality}, ${this.location.address.postal_code}, ${this.location.address.country}`
    }
  }
}
</script>

<style scoped>
.location-item {
  border-bottom: 1px solid #eee;
  padding: 20px 0px;
  margin: 0px 20px;
  text-align: start;
}

.location-item-name {
  font-weight: 900;
}

.location-item-address {
  font-size: 14px;
}
</style>
